

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.15. grn_index_cursor &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.25.16. grn_info" href="grn_info.html" />
    <link rel="prev" title="7.25.14. grn_ii" href="grn_ii.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/api/grn_index_cursor.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="grn_info.html" title="7.25.16. grn_info"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="grn_ii.html" title="7.25.14. grn_ii"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.15. </span><code class="docutils literal notranslate"><span class="pre">grn_index_cursor</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-index-cursor">
<h1><span class="section-number">7.25.15. </span><code class="docutils literal notranslate"><span class="pre">grn_index_cursor</span></code><a class="headerlink" href="#grn-index-cursor" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.15.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.15.2. </span>Example<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.15.3. </span>Reference<a class="headerlink" href="#reference" title="Permalink to this headline">¶</a></h2>
<dl class="c function">
<dt id="c.grn_index_cursor_open">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_index_cursor_open</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_table_cursor.html#c.grn_table_cursor" title="grn_table_cursor">grn_table_cursor</a> *<em>tc</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>index</em>, grn_id <em>rid_min</em>, grn_id <em>rid_max</em>, int <em>flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_index_cursor_open" title="Permalink to this definition">¶</a><br /></dt>
<dd><p><a class="reference internal" href="grn_table_cursor.html#c.grn_table_cursor" title="grn_table_cursor"><code class="xref c c-type docutils literal notranslate"><span class="pre">grn_table_cursor</span></code></a> から取得できるそれぞれのレコードについて、 <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_COLUMN_INDEX</span></code> 型のカラムの値を順番に取り出すためのカーソルを生成して返します。</p>
<p>rid_min, rid_maxを指定して取得するレコードidの値を制限することができます。</p>
<p>戻り値であるgrn_index_cursorは <a class="reference internal" href="grn_obj.html#c.grn_obj_close" title="grn_obj_close"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_obj_close()</span></code></a> を使って解放します。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>tc</strong> – 対象cursorを指定します。</p></li>
<li><p><strong>index</strong> – 対象インデックスカラムを指定します。</p></li>
<li><p><strong>rid_min</strong> – 出力するレコードidの下限を指定します。</p></li>
<li><p><strong>rid_max</strong> – 出力するレコードidの上限を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_index_cursor_next">
grn_posting *<code class="sig-name descname">grn_index_cursor_next</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>ic</em>, grn_id *<em>tid</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_index_cursor_next" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>cursorの範囲内のインデックスの値を順番に取り出します。</p>
<p>tidにNULL以外を指定した場合は、index_cursorを作成するときに指定したtable_cursorの現在の対象レコードのidを返します。</p>
<p>戻り値である <code class="xref c c-type docutils literal notranslate"><span class="pre">grn_posting</span></code> 構造体は解放する必要はありません。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ic</strong> – 対象cursorを指定します。</p></li>
<li><p><strong>tid</strong> – テーブルレコードIDを指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.15. <code class="docutils literal notranslate"><span class="pre">grn_index_cursor</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.15.1. Summary</a></li>
<li><a class="reference internal" href="#example">7.25.15.2. Example</a></li>
<li><a class="reference internal" href="#reference">7.25.15.3. Reference</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="grn_ii.html"
                        title="previous chapter"><span class="section-number">7.25.14. </span><code class="docutils literal notranslate"><span class="pre">grn_ii</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="grn_info.html"
                        title="next chapter"><span class="section-number">7.25.16. </span><code class="docutils literal notranslate"><span class="pre">grn_info</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="grn_info.html" title="7.25.16. grn_info"
             >next</a> |</li>
        <li class="right" >
          <a href="grn_ii.html" title="7.25.14. grn_ii"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.15. </span><code class="docutils literal notranslate"><span class="pre">grn_index_cursor</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>